<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQSpareEditViewBase from './emeqspare-edit-view-base.vue';

import view_form from '@widgets/emeqspare/main2-form/main2-form.vue';

/**
 * 备件包信息
 *
 * @export
 * @class EMEQSpareEditView
 * @extends {EMEQSpareEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQSpareEditView extends EMEQSpareEditViewBase { }
</script>